<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__capsense__ofsc__context__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_capsense_ofsc_context_t</compoundname>
    <includes local="no">cy_capsense_gesture_lib.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__capsense__ofsc__context__t_1a659fadd332317157ed92646ab617c108" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_capsense_ofsc_context_t::touchStartTime1</definition>
        <argsstring />
        <name>touchStartTime1</name>
        <briefdescription>
<para>Touchdown time. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="80" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="80" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__ofsc__context__t_1a9015721f99554c92a7dc46e2c21f94ed" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref></type>
        <definition>cy_stc_capsense_gesture_position_t cy_stc_capsense_ofsc_context_t::touchStartPosition1</definition>
        <argsstring />
        <name>touchStartPosition1</name>
        <briefdescription>
<para>Touchdown position. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="81" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="81" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__ofsc__context__t_1a8b9f3178a921e342a800d39f2c276911" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_ofsc_context_t::state</definition>
        <argsstring />
        <name>state</name>
        <briefdescription>
<para>Gesture state. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="82" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="82" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Gesture One Finger Single Click context structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="202">
        <label>cy_stc_capsense_gesture_position_t</label>
        <link refid="structcy__stc__capsense__gesture__position__t" />
      </node>
      <node id="201">
        <label>cy_stc_capsense_ofsc_context_t</label>
        <link refid="structcy__stc__capsense__ofsc__context__t" />
        <childnode refid="202" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="83" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="78" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="79" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__capsense__ofsc__context__t_1a8b9f3178a921e342a800d39f2c276911" virt="non-virtual"><scope>cy_stc_capsense_ofsc_context_t</scope><name>state</name></member>
      <member prot="public" refid="structcy__stc__capsense__ofsc__context__t_1a9015721f99554c92a7dc46e2c21f94ed" virt="non-virtual"><scope>cy_stc_capsense_ofsc_context_t</scope><name>touchStartPosition1</name></member>
      <member prot="public" refid="structcy__stc__capsense__ofsc__context__t_1a659fadd332317157ed92646ab617c108" virt="non-virtual"><scope>cy_stc_capsense_ofsc_context_t</scope><name>touchStartTime1</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>